Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 192876 - Review Request: V2Strip ID3v2(Mp3 Files) tags remover
Summary: Review Request: V2Strip ID3v2(Mp3 Files) tags remover
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-05-23 19:05 UTC by Andrea Veri
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-22 05:01:47 UTC


Attachments (Terms of Use)

Description Andrea Veri 2006-05-23 19:05:33 UTC
Spec URL: http://www.netservers.org/packages/rpm/v2strip.spec
SRPM URL: http://www.netservers.org/packages/rpm/v2strip-0.2.10-1.src.rpm
Description: Little utility that removes ID3v2 tags from MP3 files.
The new ID3v2 tag format is nice in many ways, but it can cause
confusion when parsed by certain MP3 players/utilities not yet
supporting ID3v2 tags.

Comment 1 Hugo Cisneiros 2006-05-31 18:26:41 UTC
Review for this package:

BLOCKERS:

- Package in non-standard group (Applications/Shell), see:
  http://fedoraproject.org/wiki/RPMGroups

- The application don't need the 'openssl-devel' BuildRequires. (Why?)

- You must include the COPYING file in %doc's %files. It contains the license 
of the application (GPL).

- ChangeLog should be in %doc too.

SHOULD:

- When creating a new specfile, the recommended way is to create using the 
following command:

  fedora-newrpmspec <package-name>

- (Really minor) The arrangement in the specfile could be better. Spacing and 
these things. The 'fedora-newrpmspec' helps on this. You can look at other 
specs too. Just to get the specfile more organized and pretty :-)

- (Really minor) Description is ok. Consider putting "v2strip is a ..." before 
the description field. Example: "v2strip is a little utility that removes 
ID3v2..."

OKS:

- Source package matches the package from upstream
- Builds and works fine
- Package name ok

Comment 3 Brian Pepple 2006-06-01 20:39:31 UTC
BLOCKERS:

* Package in non-standard group (Applications/Shells), see:
  http://fedoraproject.org/wiki/RPMGroups

MINOR:

* You can drop the NEWS from the docs, since it appears to have the same
information as the Changelog file.
* Shouldn't refer to the package name in Summary.  A better one might be 'ID3v2
tag remover'.

Comment 5 Tom "spot" Callaway 2006-06-05 20:05:07 UTC
Good:

- rpmlint checks return nothing! :)
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Short, sweet, simple.
APPROVED.

Comment 6 Brian Pepple 2006-07-26 16:55:50 UTC
Andrea if this is built, you need to close this bug.  Refer to
http://fedoraproject.org/wiki/Extras/NewPackageProcess - step 14.

Comment 7 Tom "spot" Callaway 2006-09-14 18:51:11 UTC
This has been approved for more than 3 months. If it doesn't show movement soon,
I'm going to rescind my approval and close this bug.

Comment 8 Tom "spot" Callaway 2006-12-22 05:01:47 UTC
Approval rescinded. Bug closed WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.